AddGenericOAuthProvider
Add a new OAuth2 identity provider on the instance
Request Body
application/json
name?string
clientId?string
clientSecret?string
authorizationEndpoint?string
tokenEndpoint?string
userEndpoint?string
scopes?array<>
idAttribute?string
identifying attribute of the user in the response of the user_endpoint
providerOptions?
usePkce?boolean
Enable the use of Proof Key for Code Exchange (PKCE) for the OAuth2 flow.
[key: string]?never
Response Body
application/json
curl -X POST "https://loading/idps/oauth" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"id": "string"
}Was this page helpful?
AddEmailProviderSMTP
Explore the AddEmailProviderSMTP operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
AddGenericOIDCProvider
Explore the AddGenericOIDCProvider operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.